## GalViewFactoryEtable

GalViewFactoryEtable

## Synopsis

    struct              GalViewFactoryEtable;
    GalViewFactory *    gal_view_factory_etable_new         (ETableSpecification *specification);
    ETableSpecification * gal_view_factory_etable_get_specification
                                                            (GalViewFactoryEtable *factory);

## Object Hierarchy

      GObject
       +----GalViewFactory
             +----GalViewFactoryEtable

## Properties

      "specification"            ETableSpecification*  : Read / Write / Construct Only

## Description

## Details

### struct GalViewFactoryEtable

    struct GalViewFactoryEtable;

### gal_view_factory_etable_new ()

    GalViewFactory *    gal_view_factory_etable_new         (ETableSpecification *specification);

A new GalViewFactory for creating ETable views. Create one of these and pass it to GalViewCollection for use.

`specification` : | The spec to create GalViewEtables based upon.
Returns : | The new GalViewFactoryEtable.

### gal_view_factory_etable_get_specification ()

    ETableSpecification * gal_view_factory_etable_get_specification
                                                            (GalViewFactoryEtable *factory);

## Property Details

### The `"specification"` property

      "specification"            ETableSpecification*  : Read / Write / Construct Only